#include "CControl.h"
#include <stdio.h>
#include <inttypes.h>
#include "Arduino.h"

Int4p::Int4p(int p1, int p2, int p3)
{
   this->p1 = p1;
   this->p2 = p2;
   this->p3 = p3;
   pinMode(this->p1, INPUT);
   pinMode(this->p2, INPUT);
   pinMode(this->p3, INPUT);
   digitalWrite(this->p1, LOW);
   digitalWrite(this->p2, LOW);
   digitalWrite(this->p3, LOW);
}

int Int4p::Posicion()
{
   int valor1 = 0;
   int valor2 = 0;
   valor1 = digitalRead(this->p1);
   valor2 = digitalRead(this->p2);
   if (valor1 == 0 & valor2 == 0)
       this->posicion = 1;
       else if (valor1 == 1 & valor2 == 0)
                this->posicion = 2;
                else if (valor1 == 1 & valor2 == 1)
                         this->posicion = 3;
                         else
                             this->posicion = 4;
   return posicion;
}

Int3p::Int3p(int p1, int p2)
{
    this->p1 = p1;
    this->p2 = p2;
    pinMode(this->p1, INPUT);
    pinMode(this->p2, INPUT);
    digitalWrite(this->p1, LOW);
    digitalWrite(this->p2, LOW);
}

int Int3p::Posicion()
{
    int valor1 = 0;
    int valor2 = 0;
    valor1 = digitalRead(this->p1);
    valor2 = digitalRead(this->p2);
    if (valor1 == 1)
       this->posicion = 1;
       else if (valor2 == 1)
                this->posicion = 2;
                else
                    this->posicion = 0;
    return posicion;
}

Int2p::Int2p(int p1)
{
    this->p1 = p1;
    pinMode(this->p1, INPUT);
    digitalWrite(this->p1, LOW);
}

int Int2p::Posicion()
{
    int valor1 = 0;
    valor1 = digitalRead(this->p1);
    if (valor1 == 1)
        this->posicion = 1;
        else
            this->posicion = 0;
    return posicion;
}

Led2c::Led2c(int p1, int p2)
{
    this->p1 = p1;
    this->p2 = p2;
    pinMode(this->p1, OUTPUT);
    pinMode(this->p2, OUTPUT);
    digitalWrite(this->p1, LOW);
    digitalWrite(this->p2, LOW);
}

char Led2c::LeerEstado()
{
    int valor1 = 0;
    int valor2 = 0;
    valor1 = digitalRead(this->p1);
    valor2 = digitalRead(this->p2);
    if (valor1 == 1 & valor2 == 0)
        this->estado = 'V';
        else if (valor2 == 0 & valor2 == 1)
                 this->estado = 'R';
                 else
                     this->estado = 'X';
    return estado;
}

void Led2c::PonerEstado(char estado)
{
    if (estado == 'V'){
        digitalWrite(this->p1, HIGH);
        digitalWrite(this->p2, LOW);
        }else if (estado == 'R'){
                 digitalWrite(this->p1, LOW);
                 digitalWrite(this->p2, HIGH);
                 }else{
                     digitalWrite(this->p1, LOW);
                     digitalWrite(this->p2, LOW);}
}
