#ifndef CControl_h
#define CControl_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "Arduino.h"
//#else
//	#include "WProgram.h"
#endif

#include <inttypes.h>

class Int4p
{
      public:
             Int4p (int p1, int p2, int p3);
             int Posicion();
      private:
              int p1;
              int p2;
              int p3;
              int posicion;
};

class Int3p
{
      public:
             Int3p (int p1, int p2);
             int Posicion();
      private:
              int p1;
              int p2;
              int posicion;
};

class Int2p
{
      public:
             Int2p (int p1);
             int Posicion();
      private:
              int p1;
              int posicion;
};

class Led2c
{
      public:
             Led2c (int p1, int p2);
             char LeerEstado();
             void PonerEstado(char estado);
      private:
              int p1;
              int p2;
              char estado;
};

#endif
